Package com.independentsoft.office.word.numbering

# Class NumberingDefinitions

java.lang.Object
com.independentsoft.office.word.numbering.NumberingDefinitions

public class NumberingDefinitions extends Object
The Class NumberingDefinitions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberingDefinitions()`
  Instantiates a new numbering definitions.
  `NumberingDefinitions​(byte[] buffer, Relationship relationship)`
  Instantiates a new numbering definitions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NumberingDefinitions`
  `clone()`
  `List<AbstractNumbering>`
  `getAbstractNumberings()`
  Gets the abstract numberings.
  `int`
  `getLastReviewedAbstractNumbering()`
  Gets the last reviewed abstract numbering.
  `String`
  `getMarkupCompatibilityIgnorable()`
  Gets the mc:Ignorable attribute value of the numbering root, or `null` if absent.
  `List<NumberingDefinitionInstance>`
  `getNumberings()`
  Gets the numberings.
  `List<NumberingPictureSymbol>`
  `getPictures()`
  Gets the pictures.
  `void`
  `setLastReviewedAbstractNumbering​(int lastReviewedAbstractNumbering)`
  Sets the last reviewed abstract numbering.
  `void`
  `setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)`
  Sets the mc:Ignorable attribute value of the numbering root.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberingDefinitions

    public NumberingDefinitions()
    Instantiates a new numbering definitions.

  - ### NumberingDefinitions

    public NumberingDefinitions​(byte[] buffer, Relationship relationship) throws XMLStreamException
    Instantiates a new numbering definitions.
    Parameters:
      `buffer` - the buffer
      `relationship` - the relationship
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public NumberingDefinitions clone()
    Overrides:
      `clone` in class `Object`

  - ### getMarkupCompatibilityIgnorable

    public String getMarkupCompatibilityIgnorable()
    Gets the mc:Ignorable attribute value of the numbering root, or `null` if absent.
    Returns:
      the markup-compatibility ignorable prefixes

  - ### setMarkupCompatibilityIgnorable

    public void setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)
    Sets the mc:Ignorable attribute value of the numbering root.
    Parameters:
      `markupCompatibilityIgnorable` - the new value

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPictures

    public List<NumberingPictureSymbol> getPictures()
    Gets the pictures.
    Returns:
      the pictures

  - ### getNumberings

    public List<NumberingDefinitionInstance> getNumberings()
    Gets the numberings.
    Returns:
      the numberings

  - ### getAbstractNumberings

    public List<AbstractNumbering> getAbstractNumberings()
    Gets the abstract numberings.
    Returns:
      the abstract numberings

  - ### getLastReviewedAbstractNumbering

    public int getLastReviewedAbstractNumbering()
    Gets the last reviewed abstract numbering.
    Returns:
      the last reviewed abstract numbering

  - ### setLastReviewedAbstractNumbering

    public void setLastReviewedAbstractNumbering​(int lastReviewedAbstractNumbering)
    Sets the last reviewed abstract numbering.
    Parameters:
      `lastReviewedAbstractNumbering` - the new last reviewed abstract numbering